
QGIS Application - Bug report #12395

Incorrect coordinates in status bar

2015-03-18 04:14 AM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20569

Description

Open any layer in EPSG:3857 (OTF off), then go to Project - Project Properties - General - Canvas units - Degree - DMS - OK. Go to

canvas and move mouse: status bar will show very strange coordinates, e.g. 65°31′39″E,8409481°22′0″N.

Associated revisions

Revision 803a0b93 - 2015-05-22 09:07 PM - Alexander Bruy

show correct coordinates in status bar when projected CRS used and

canvas units set to degrees (fix #12395)

Tests for latitude wrapping included

Revision 9b797471 - 2015-05-24 07:18 AM - Alexander Bruy

show correct coordinates in status bar when projected CRS used and

canvas units set to degrees (fix #12395)

Tests for latitude wrapping included

History

#1 - 2015-03-18 07:37 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Subject changed from Incorrect corrdinates in status bar to Incorrect coordinates in status bar

was this ok in previous qgis releases?

#2 - 2015-05-10 12:01 PM - Giovanni Manghi

- Affected QGIS version changed from 2.8.1 to master

- Target version set to Future Release - High Priority

- Status changed from Feedback to Open

#3 - 2015-05-22 12:08 PM - Alexander Bruy

- Status changed from Open to Closed
Fixed in changeset commit:"803a0b9375217671fc625f3156533d693b5d1895".
